ALTER SESSION SET CURRENT_SCHEMA = XYZG_ADMIN;

--
-- 1
--

SELECT *
FROM CLIENT;

--
-- 2
--

SELECT
  g.ID,
  g.ADDRESS,
  concat(c.LASTNAME, concat(' ', c.FIRSTNAME))
FROM GARDEN g
  JOIN CLIENT c ON g.CLIENT_ID = c.ID
WHERE CLIENT_ID IS NOT NULL
ORDER BY c.LASTNAME;

--
-- 3
--

SELECT
  concat(c.FIRSTNAME, concat(' ', c.LASTNAME)) AS client_fullname,
  g.ADDRESS,
  sc.MONTHLY_FEE
FROM GARDEN g
  JOIN CLIENT c ON g.CLIENT_ID = c.ID
  JOIN SPECIAL_CONTRACT sc ON sc.CLIENT_ID = c.ID;

--
-- 4
--

SELECT
  t.type,
  j.DESCRIPTION
FROM (SELECT *
      FROM (SELECT
              tt.TYPE,
              count(*) AS counter
            FROM TASK_TYPE tt
              JOIN TASK t ON tt.TYPE = t.TYPE
              JOIN JOB j ON t.JOB_ID = j.ID
            GROUP BY tt.TYPE
            ORDER BY counter DESC)
      WHERE ROWNUM = 1) mf_type
  JOIN TASK t ON t.TYPE = mf_type.TYPE
  JOIN JOB j ON t.JOB_ID = j.ID;

--
-- 5
--

WITH exp AS (
SELECT
STAFF_ID,
count(*) trainings_count
FROM TRAINING_STAFF_LINK
GROUP BY STAFF_ID
),

most_experienced_staff AS (
SELECT
ID,
FIRSTNAME,
LASTNAME,
trainings_count
FROM exp
JOIN STAFF s ON exp.STAFF_ID = s.ID
WHERE ROWNUM = 1
)

SELECT
  j.DESCRIPTION,
  mes.LASTNAME,
  mes.trainings_count
FROM most_experienced_staff mes
  JOIN JOB_STAFF_LINK jsl ON mes.ID = jsl.STAFF_ID
  JOIN JOB j ON jsl.JOB_ID = j.ID
WHERE ROWNUM = 1;

--
-- 6
--

WITH clients_without_contract AS (
SELECT c.*
FROM CLIENT c LEFT JOIN SPECIAL_CONTRACT sc ON c.ID = sc.CLIENT_ID
WHERE sc.ID IS NULL
)

SELECT
  cwc.ID,
  concat(cwc.FIRSTNAME, concat(' ', cwc.LASTNAME)) AS client_full_name,
  sum(t.TIME_TO_COMPLETE * tt.HOURLY_RATE) AS total_spent
FROM GARDEN g
  JOIN clients_without_contract cwc ON g.CLIENT_ID = cwc.ID
  JOIN GARDEN_JOB_LINK gjl ON gjl.GARDEN_ID = g.ID
  JOIN JOB j ON gjl.JOB_ID = j.ID
  JOIN TASK t ON j.ID = t.JOB_ID
  JOIN TASK_TYPE tt ON t.TYPE = tt.TYPE GROUP BY cwc.ID, cwc.LASTNAME, cwc.FIRSTNAME;